## golang-github-hdrhistogram-hdrhistogram-go 1.2.0+ds

=== Makefile ===
SHELL=bash
.ONESHELL:

# Go parameters
GOCMD=GO111MODULE=on go
GOBUILD=$(GOCMD) build
GOINSTALL=$(GOCMD) install
GOCLEAN=$(GOCMD) clean
GOTEST=$(GOCMD) test
GOGET=$(GOCMD) get
GOMOD=$(GOCMD) mod
GOFMT=$(GOCMD) fmt
GODOC=godoc

MAKEFILE_PATH := $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
BIN_DIR := "${MAKEFILE_PATH}/bin"

GOLANGCI_VERSION=2.6.0

.PHONY: all test coverage
all: test

checkfmt:
	@echo 'Checking gofmt';\
 	bash -c "diff -u <(echo -n) <(gofmt -d .)";\
	EXIT_CODE=$$?;\
	if [ "$$EXIT_CODE"  -ne 0 ]; then \
		echo '$@: Go files must be formatted with gofmt'; \
	fi && \
	exit $$EXIT_CODE

lint: .prepare-golangci
	@$(BIN_DIR)/golangci-lint run

get:
	$(GOGET) -v ./...

fmt: .prepare-golangci
	@$(BIN_DIR)/golangci-lint run --fix

test: get
	$(GOTEST) -count=1 ./...

coverage: get test
	$(GOTEST) -count=1 -race -coverprofile=coverage.txt -covermode=atomic .

benchmark: get
	$(GOTEST) -bench=. -benchmem

godoc:
	$(GODOC)

.prepare-bin:
	@[[ -d "$(MAKEFILE_PATH)/bin" ]] || mkdir "$(MAKEFILE_PATH)/bin"

.prepare-golangci: .prepare-bin
	@if ! "${BIN_DIR}/golangci-lint" --version 2>/dev/null | grep '${GOLANGCI_VERSION}' >/dev/null 2>&1 ; then \
		echo "Installing golangci-lint to '${BIN_DIR}'" ; \
		curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b bin/ v$(GOLANGCI_VERSION) ; \
	fi

## golang-github-hdrhistogram-hdrhistogram-go 1.1.2

=== debian/changelog ===
golang-github-hdrhistogram-hdrhistogram-go (1.1.2-3) unstable; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Add Multi-Arch: foreign

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 12 Jul 2023 22:09:00 +0000

golang-github-hdrhistogram-hdrhistogram-go (1.1.2-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Oct 2021 21:17:28 +0000

golang-github-hdrhistogram-hdrhistogram-go (1.1.2-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Aug 2021 20:43:21 +0000

=== debian/control ===
Source: golang-github-hdrhistogram-hdrhistogram-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-stretchr-testify-dev,
               golang-gonum-v1-gonum-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go.git
Homepage: https://github.com/HdrHistogram/hdrhistogram-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/HdrHistogram/hdrhistogram-go

Package: golang-github-hdrhistogram-hdrhistogram-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-stretchr-testify-dev,
         golang-gonum-v1-gonum-dev,
         ${misc:Depends}
Description: pure Go implementation of Gil Tene's HDR Histogram
 This package contains a pure Go implementation of the HDR Histogram
 .
 A Histogram that supports recording and analyzing sampled data value
 counts across a configurable integer value range with configurable value
 precision within the range. Value precision is expressed as the number
 of significant digits in the value recording, and provides control over
 value quantization behavior across the value range and the subsequent
 value resolution at any given level.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-hdrhistogram-hdrhistogram-go-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/HdrHistogram/hdrhistogram-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-hdrhistogram-hdrhistogram-go 1.2.0+ds

=== debian/changelog ===
golang-github-hdrhistogram-hdrhistogram-go (1.2.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release:
    - Exclude pre-compiled golangci-lint binary from source
    - Drop patch skipping some tests and instead include necessary test files
      in the package
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Dec 2025 18:06:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-stretchr-testify-dev,
                golang-gonum-v1-gonum-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hdrhistogram-hdrhistogram-go.git
 Homepage: https://github.com/HdrHistogram/hdrhistogram-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/HdrHistogram/hdrhistogram-go
 
 Package: golang-github-hdrhistogram-hdrhistogram-go-dev

=== debian/rules ===
#!/usr/bin/make -f

# Include test logs
export DH_GOLANG_INSTALL_EXTRA := test/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-hdrhistogram-hdrhistogram-go-$1.tar.gz%,\
      oversionmangle=s/(\d\S+)/$1+ds/, dversionmangle=s/\+ds(\.?\d+)?$//" \
  https://github.com/HdrHistogram/hdrhistogram-go/tags .*/v?(\d\S*)\.tar\.gz debian
